Bug 1428253 - apache-commons-chain: FTBFS in EPEL 7
Summary: apache-commons-chain: FTBFS in EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: apache-commons-chain
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 07:00 UTC by gil cattaneo
Modified: 2017-05-30 16:54 UTC (History)
1 user (show)

Fixed In Version: apache-commons-chain-1.2-12.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 16:54:07 UTC
Type: Bug


Attachments (Terms of Use)

Description gil cattaneo 2017-03-02 07:00:26 UTC
Description of problem:
Package apache-commons-chain fails to build from source in EPEL 7.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:2.9:aggregate (default-cli) on project commons-chain: An error has occurred in JavaDocs report generation:
[ERROR] Exit code: 1 - /builddir/build/BUILD/commons-chain-1.2-src/src/java/org/apache/commons/chain/web/ChainListener.java:60: error: unexpected end tag: </p>
[ERROR] *     <strong>NOTE</strong> - This parameter is deprecated.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/commons-chain-1.2-src/src/java/org/apache/commons/chain/web/ChainServlet.java:58: error: unexpected end tag: </p>
[ERROR] *     <strong>NOTE</strong> - This parameter is deprecated.</p>
[ERROR] ^
Version-Release number of selected component (if applicable):
1.2-10.el7

Steps to Reproduce:
koji build --scratch epel7 apache-commons-chain-1.2-10.el7.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/apache-commons-chain

Comment 1 Michael Mráka 2017-05-11 06:08:13 UTC
commit d48ac404bf3266c1ed578bc3db2472f1593a2259
    Fixed FTBFS in EPEL7 RHBZ#1428253
    rebased and disabled doclint

Comment 2 Fedora Update System 2017-05-11 06:14:21 UTC
apache-commons-chain-1.2-12.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-41f7fc282a

Comment 3 Fedora Update System 2017-05-12 19:55:47 UTC
apache-commons-chain-1.2-12.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-41f7fc282a

Comment 4 Fedora Update System 2017-05-30 16:54:07 UTC
apache-commons-chain-1.2-12.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.